package org.apache.portals.applications.springmvc;

import java.util.HashMap;
import java.util.Map;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.web.portlet.mvc.AbstractController;
import org.springframework.web.portlet.ModelAndView;

public class DOMTreeDeleteController extends AbstractController implements InitializingBean
{
	private DOMTreeService domTreeService;
    
    public void afterPropertiesSet() throws Exception
    {
        if (this.domTreeService == null)
            throw new IllegalArgumentException( "DOMTreeService is required" );
    }
    
    
    public void handleActionRequestInternal( ActionRequest request, ActionResponse response ) throws Exception
    {
	    // get the id and delete it
	    String name = request.getParameter( "domTree" ) ;
		domTreeService.deleteDOMTree( name, request );
		response.setRenderParameter( "action", "list" );
	}

	public void setDomTreeService( DOMTreeService domTreeService )
    {
        this.domTreeService = domTreeService;
    }
}
